Ticket #34502

句読点記号読み上げレベルの仕様がわかりにくい

Open Date: 2014-10-17 14:47 Last Update: 2014-11-20 08:44

Reporter: nishimoto Owner: nishimoto
Type: Feature Requests Status: Closed
Component: 翻訳 MileStone: 2014.4 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

句読点記号読み上げレベルの仕様がわかりにくいという問題について。

ユーザーガイドの修正、 NVDA+P の通知、句読点記号読み上げ辞書の編集画面など、あちこちに 影響しそうな問題と思います。

翻訳の部分的な手直し、後述のご提案のような思い切った翻訳の見直し、などが考えられます。 思い切った手直しをすると、翻訳テーブルだけでなくソースに手を入れて行う修正 (本家版と日本語版の仕様の不一致)となる可能性もあります。

まず、私が「らくらく NVDA」に最近投稿した説明です:

(現状の仕様説明、ここから)

まず、実際に読ませたいレベルは、 音声設定で「すべて」「ほとんど」「一部」「読まない」の4段階の設定ができて、 同じことは NVDA+P でも切り替えられます。 (以下「音声レベル」と書きます)

文字ごとの読むか読まないかの指定は 「この記号を読ませたい最低の音声レベル」 つまり 「どの音声レベル以上でこの文字を読ませたいか」 として句読点・記号読み辞書で変更できます。 (以下「文字レベル」と書きます)

文字レベルには実は5段階の選択肢があります。 文字レベルの低いほうから高いほうに順に: "none"(読まない) "some"(一部読み上げ) "most"(ほとんど読み上げ) "all"(すべて読み上げ) "char"(文字) 「文字」を指定すると、文字単位の移動のときだけ読み上げます(後述)。

以下、句読点・記号読み辞書の設定画面における、 ある文字の文字レベルが:

(1)文字レベル「読まない」と指定した文字

音声レベル「すべて」「ほとんど」「一部」「読まない」 のすべてで(つまり NVDA+P でどう切り替えても)読み上げる。

(2)文字レベル「一部」と指定した文字

音声レベル「すべて」「ほとんど」「一部」で読み上げる。 音声レベル「読まない」で読み上げない。

(3)文字レベル「ほとんど」と指定した文字

音声レベル「すべて」「ほとんど」で読み上げる。 音声レベル「一部」「読まない」で読み上げない。

(4)文字レベル「すべて」と指定した文字

音声レベル「すべて」で読み上げる。 音声レベル「ほとんど」「一部」「読まない」で読み上げない。

(5)文字レベル「文字」と指定した文字

音声レベル「すべて」「ほとんど」「一部」「読まない」のいずれにおいても テキストを連続して読むときにはその文字は読み上げない。 ただし文字単位のレビューやキャレット移動など、 その文字だけを単独で読もうとしたときには読み上げられる。

誤解されやすい仕様だと思うのですが、 最も頻繁に読ませたい文字の文字レベルは「読まない」になり、 めったに読ませたくない文字の文字レベルは「すべて」になる、 ということをご理解ください。

(現状の仕様説明、ここまで)

次に、この私の説明を踏まえて、だと思うのですが、以下のご提案をいただいているので、 引用します:

(引用ここから)

NVDA設定メニューの中の 「句読点・記号読み辞書」の設定の所です。

文字レベルの低いほうから高いほうに順に: "none"(読まない) →レベル1 "some"(一部読み上げ)→レベル2 "most"(ほとんど読み上げ)→レベル3 "all"(すべて読み上げ)→レベル4 "char"(文字)→レベル5

と数字で記載して、 最初に次のように説明しておきます。 (1)文字レベル1と指定した文字

音声レベル「すべて」「ほとんど」「一部」「読まない」 のすべてで(つまり NVDA+P でどう切り替えても)読み上げる。

(2)文字レベル2と指定した文字

音声レベル「すべて」「ほとんど」「一部」で読み上げる。 音声レベル「読まない」で読み上げない。

(3)文字レベル3と指定した文字

音声レベル「すべて」「ほとんど」で読み上げる。 音声レベル「一部」「読まない」で読み上げない。

(4)文字レベル4と指定した文字

音声レベル「すべて」で読み上げる。 音声レベル「ほとんど」「一部」「読まない」で読み上げない。

(5)文字レベル5と指定した文字

音声レベル「すべて」「ほとんど」「一部」「読まない」のいずれにおいても テキストを連続して読むときにはその文字は読み上げない。 ただし文字単位のレビューやキャレット移動など、 その文字だけを単独で読もうとしたときには読み上げられる。

(引用ここまで)

Attachment File List

No attachments

Ticket History (3/3 Histories)

2014-10-17 14:47 Updated by: nishimoto
  • New Ticket "句読点記号読み上げレベルの仕様がわかりにくい" created
2014-11-15 11:28 Updated by: nishimoto
  • Milestone Update from (None) to 2014.4 (closed)
  • Owner Update from (None) to nishimoto
  • Resolution Update from None to Accepted
  • Component Update from (None) to 翻訳
Comment

本件に関して、句読点記号辞書のダイアログ表記を「最低読み上げレベル」という表記に変更する案:

@@ -5420,7 +5420,7 @@
 
 #. Translators: This is a label for an edit field in add dictionary entry dialog and in punctuation/symbol pronunciation dialog.
 msgid "&Replacement"
-msgstr "読み(&R)"
+msgstr "読み方(&R)"
 
 #. Translators: This is a label for an edit field in add dictionary entry dialog.
 msgid "&Comment"
@@ -5449,7 +5449,7 @@
 
 #. Translators: The label for a column in dictionary entries list and in a list of symbols from symbol pronunciation dialog used to identify replacement for a pattern or a symbol
 msgid "Replacement"
-msgstr "読み"
+msgstr "読み方"
 
 #. Translators: The label for a column in dictionary entries list used to identify whether the entry is case sensitive or not.
 msgid "case"
@@ -5537,7 +5537,7 @@
 
 #. Translators: The label for a column in symbols list used to identify a symbol's speech level (either none, some, most, all or character).
 msgid "Level"
-msgstr "読み上げレベル"
+msgstr "最低読み上げレベル"
 
 #. Translators: The label for the edit field in symbol pronunciation dialog to change the pronunciation of a symbol.
 msgid "Change symbol"
@@ -5545,7 +5545,7 @@
 
 #. Translators: The label for the combo box in symbol pronunciation dialog to change the speech level of a symbol.
 msgid "&Level"
-msgstr "読み上げレベル(&L)"
+msgstr "最低読み上げレベル(&L)"
 
 #. Translators: The title of the Input Gestures dialog where the user can remap input gestures for commands.
 msgid "Input Gestures"
2014-11-20 08:44 Updated by: nishimoto
  • Ticket Close date is changed to 2014-11-20 08:44
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
Comment

本家 master にマージされたのでクローズします。

Edit

Please login to add comment to this ticket » Login